# Macroeconomic Dynamics and Reallocation in an Epidemic
**Authors:** Krueger, D. (U Penn), H. Uhlig (U Chicago), and T. Xie (NUS)\
**Paper:** <https://www.nber.org/papers/w27047>\
**Written on:** September 30, 2020


Link paper: https://home.uchicago.edu/~huhlig/research_uhlig.html
Link code: https://github.com/tjxie/KUX_PandemicMacro


## Abstract
In this paper, we argue that endogenous shifts in private consumption behavior across sectors of the economy can act as a potent mitigation mechanism during an epidemic or when the economy is re-opened after a temporary lockdown. We introduce a SIR epidemiological model into a neoclassical production economy in which goods are distinguished by the degree to which they can be consumed at home rather than in a social, possibly contagious context. We demonstrate that within the model the "Swedish solution" of letting the epidemic play out without government intervention and allowing agents to shift their consumption behavior towards relatively safe sectors can lead to substantial mitigation of the economic and human costs of the COVID-19 crisis. We estimate the model on Swedish health data and then show that compared to a model in which sectors are assumed to be homogeneous in their infection risk, as in Eichenbaum, Rebelo, and Trabandt (2020), endogenous sectoral reallocation avoids more than 2/3 of the decline in aggregate output and consumption, and at the same time induces a dynamics of weekly death that accords very well with the matching and of the number of deaths within one year. Our analysis implies case fatality rates below 0.2 percent and a limit of less than 800 deaths per million for Sweden. We also characterize the allocation a social planner would choose that can dictate sectoral consumption patterns and demonstrate that the laissez-faire outcome with sectoral reallocation, while mitigating the economic and health crisis, still implies suboptimally many deaths and too massive a decline in economic activity. 

## Files

- **multisector.mod** - dynare file with model equations
- **ModelEquations.mod** - equations in the model
- **PlotResults.m** - figures comparing actual and simulated series
